<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Organisation.plugin.php 4405 2006-03-10 10:25:58Z andrew@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

require_once MAX_PATH . '/plugins/deliveryLimitations/DeliveryLimitations.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

/**
 *
 * Netspeed delivery limitation plugin.
 *
 */
class Plugins_DeliveryLimitations_Geo_Organisation extends Plugins_DeliveryLimitations  
{
    
    /**
     * Return name of plugin
     *
     * @return string
     */
    function getName()
    {
        return MAX_Plugin_Translation::translate('ISP/Organisation', $this->module, $this->package);
    }
    
    /**
     * Return if this plugin is available in the current context
     *
     * @return boolean
     */
    function isAllowed()
    {
        if ((isset($GLOBALS['_MAX']['GEO_DATA']['organisation'])) || $GLOBALS['_MAX']['CONF']['geotargeting']['showUnavailable']) {
            return true;
        } else {
            return false;
        }
    }
    
    /**
     * Outputs the HTML to display the comparison operator for this limitation
     *
     * @return void
     */    
    function displayComparison()
    {
        echo "<select name='acl[{$this->executionorder}][comparison]' tabindex='".($tabindex++)."'>";
		echo "<option value='==' " . (($this->comparison == '==') ? 'selected' : '') . ">{$GLOBALS['strContains']}</option>";
		echo "<option value='!=' " . (($this->comparison == '!=') ? 'selected' : '') . ">{$GLOBALS['strNotContains']}</option>";
		echo "</select>";
    }
}

?>
